Obter um webhook
curl --request GET \
--url https://api.jurichat.com/webhooks/{webhookId} \
--header 'x-jurichat-api-key: <api-key>'{
"id": "<string>",
"officeId": "<string>",
"name": "<string>",
"description": "<string>",
"url": "<string>",
"secret": "<string>",
"events": [
"<string>"
],
"isActive": true,
"headers": {},
"createdAt": "<string>",
"updatedAt": "<string>"
}Webhooks
Obter um webhook
Retorna os detalhes completos de um webhook específico, incluindo seu segredo de autenticação.
GET
/
webhooks
/
{webhookId}
Obter um webhook
curl --request GET \
--url https://api.jurichat.com/webhooks/{webhookId} \
--header 'x-jurichat-api-key: <api-key>'{
"id": "<string>",
"officeId": "<string>",
"name": "<string>",
"description": "<string>",
"url": "<string>",
"secret": "<string>",
"events": [
"<string>"
],
"isActive": true,
"headers": {},
"createdAt": "<string>",
"updatedAt": "<string>"
}Authorizations
Chave de API do escritório (criada no painel). Envie o valor no header x-jurichat-api-key.
Path Parameters
ID único do webhook.
Response
Default Response
ID único do webhook.
ID do escritório ao qual este webhook pertence.
Nome do webhook.
Descrição do webhook.
URL de destino para entregas de eventos.
HMAC-SHA256 segredo de autenticação usado para verificar o header X-JuriChat-Signature.
Lista de nomes de eventos inscritos.
Se este webhook está ativo.
Cabeçalhos personalizados enviados com cada entrega.
Show child attributes
Show child attributes
Timestamp de criação ISO 8601.
Timestamp de última atualização ISO 8601.
⌘I